[No] Autoupdater using ioquake3's approach

Moderator: GZDoom Developers

Re: Autoupdater using ioquake3's approach

Postby wildweasel » Sun May 28, 2017 10:47 am

I'd also consider adding a notice to any script error that reads, "Please ensure that you are running the latest available version from ZDoom.org" or similar. No need for an automatic checker.
User avatar
wildweasel
change o' pace.
Moderator Team Lead
 
Joined: 16 Jul 2003

Re: Autoupdater using ioquake3's approach

Postby leileilol » Mon May 29, 2017 5:49 am

In OA's case FWIW, i'm not even going to take that autoupdate commit either (as it's upstream). Back in my day, people scorned autoupdates as "taking away rights from the end user", especially when Steam does it *shakes cane at cloud*

It would also cause inconsistencies with repositories downstream.

(also the really scary security bug is already averted by defaulting autodownload off, defaulting openal off and the released version not using renderer DLL modules anyway)
User avatar
leileilol
ダークエルフ!!!!!!!!!!
 
Joined: 30 May 2004
Location: GNU/Hell

Previous

Return to Closed Feature Suggestions

Who is online

Users browsing this forum: No registered users and 0 guests